<div>            
    <input id="chooseFile" name="files[]" type="file" multiple (change)="selectFile($event)" hidden #hiddenfileinput/>    
    <button mat-raised-button class="btn-upld" (click)="hiddenfileinput.click();" #uploadBtn>
        Otpremi...
    </button>
    
    <p *ngFor="let f of selectedFileNames">           
</div>

<p *ngFor="let progressInfo of progressInfos">
    <mat-icon>upload_file</mat-icon><label>{{ progressInfo.label }}</label>
</p>
